Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

QueryFirewallIpSetTemplate

QueryFirewallIpSetTemplate

GET/zstack/v1/vpcfirewalls/ipset/templates
GET/zstack/v1/vpcfirewalls/ipset/templates/{uuid}

Operation ID

QueryFirewallIpSetTemplate

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcFirewallIpSetTemplateInventoryRequired

    See inventories

  • name
    longRequired

    The name of the template.

  • sourceValue
    StringRequired

    The source value.

  • destValue
    StringRequired

    The dest value.

  • createDate
    TimestampRequired

    The time when the template was created.

  • lastOpDate
    TimestampRequired

    The time when the template was last modified.

  • accountUuid
    StringRequired

    The account UUID

  • uuid
    StringRequired

    The template UUID.

  • type
    IpSetTypeRequired

    See type

  • ip
    IpSetTypeRequired

    The IP address.

  • port
    IpSetTypeRequired

    The port.

  • Change Time

    AddedResponse fields accountUuid, createDate, destValue...
    View API